Bug 1324456 - SELinux prevents security_compute_av running a pod in kubernetes
Summary: SELinux prevents security_compute_av running a pod in kubernetes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-06 11:06 UTC by Stef Walter
Modified: 2017-08-08 14:10 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:10:32 UTC


Attachments (Terms of Use)

Description Stef Walter 2016-04-06 11:06:33 UTC
Description of problem:

audit: type=1401 audit(1459935995.904:341): op=security_compute_av reason=bounds scontext=system_u:system_r:svirt_lxc_net_t:s0:c140,c278 tcontext=system_u:system_r:docker_t:s0 tclass=process perms=getattr


Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.13.1-180.fc24.noarch
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc24.x86_64

Additional info:

audit: type=1401 audit(1459935995.904:341): op=security_compute_av reason=bounds scontext=system_u:system_r:svirt_lxc_net_t:s0:c140,c278 tcontext=system_u:system_r:docker_t:s0 tclass=process perms=getattr'

audit: type=1401 audit(1459935997.219:347): op=security_compute_av reason=bounds scontext=system_u:system_r:svirt_lxc_net_t:s0:c163,c995 tcontext=system_u:system_r:docker_t:s0 tclass=process perms=getattr'

Comment 1 Daniel Walsh 2016-04-06 12:48:19 UTC
What is this container trying to do?  Why is svirt_lxc_net_t looking at docker?

Comment 2 Daniel Walsh 2016-04-06 14:23:52 UTC
Did you disable unconfined.pp?

Comment 3 Stef Walter 2016-04-22 08:12:46 UTC
> Did you disable unconfined.pp?

Where is that? How it get disabled. We haven't disabled it explicitly as far as I can tell.

This is happening in our integration tests from time to time. We run integration tests with SELinux enabled.

In this particular integration test there is a container that looks like this:

```
                  "containers":[{
                    "name": "mock-container",
                    "image": "busybox:buildroot-2014.02",
                    "command": [ "/bin/sh", "-c", "for x in $(seq 1 1000); do echo 'HelloMessage.' >&2; sleep 1; done" ],
                    "ports":[{
                        "containerPort":9949,
                        "protocol":"TCP"
                     }]
                  }]
```

Nothing special.

Comment 4 Daniel Walsh 2016-06-03 20:06:03 UTC
This looks like it should be fixed in the latest selinux policy.  Did not think this had shown up in F24

Comment 5 Fedora Admin XMLRPC Client 2016-06-08 14:10:52 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Stef Walter 2016-09-09 06:25:58 UTC
This still happens every single day: https://github.com/cockpit-project/cockpit/issues/4270

Comment 7 Fedora End Of Life 2017-07-25 20:29:14 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 14:10:32 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.